/*
 *	binkleyforce -- unix FTN mailer project
 *	
 *	Copyright (c) 1998-2000 Alexander Belkin, 2:5020/1398.11
 *	
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *	
 *	$Id: prot_yoohoo.h,v 1.2 2000/04/29 14:45:51 adb Exp $
 */

#ifndef _S_YOOHOO_H_
#define _S_YOOHOO_H_

#define YOOHOO_HELLOLEN 128 /* Size of the 'HELLO' frame */

/*
 * Information for/from yoohoo handshake (real packet size is 128 bytes)
 */
typedef struct yoohoo
{
	int     signal;         /* always 'o'  (0x6f)                         */
	int     hello_version;  /* currently 1 (0x01)                         */
	int     product;        /* product code                               */
	int     version_maj;    /* major revision of the product              */
	int     version_min;    /* minor revision of the product              */
	char    name[60+1];     /* Other end's name (without domain)          */
	s_faddr address;        /* FTN address                                */
	char    sysop[20+1];    /* sysop's name                               */
	char    password[8+1];  /* This isn't necessarily null-terminated     */
	int     capabilities;   /* see below                                  */
}
s_yoohoo;

#endif
